Subject: AW: bug#63251: 28.2; vhdl-mode contribution

From: Cyril Arnould <[email-masked]>
Date: Sun, 7 May 2023 15:56:45 +0000

Very sorry, I just noticed that I messed up the previous patch. Third time’s the charm.

________________________________
Von: Mattias Engdegård <[email-masked]> im Auftrag von Mattias Engdegård <[email-masked]>
Gesendet: Sunday, May 7, 2023 10:17:03 AM
An: Cyril Arnould <[email-masked]>
Cc: [email-masked] <[email-masked]>; Reto Zimmermann <[email-masked]>; Eli Zaretskii <[email-masked]>
Betreff: Re: bug#63251: 28.2; vhdl-mode contribution

The vhdl-mode maintainers need to look at your patch more closely; I just have some minor remarks.

7 maj 2023 kl. 00.11 skrev Cyril Arnould <[email-masked]>:

> - I've added TYPE to the vhdl-compiler definition with the
>   appropriate choices for Info/Warning/Error and the dotted
>   pair. I'm not sure if sexp was the correct choice for the
>   dotted pair, is there a better alternative?

There is (cons ...) which would be more precise, see the manual.

The new doc string says that a TYPE of 2 is allowed but the type spec doesn't allow it.
Either allow both 2 and nil or change the docs to only mention one of them.

> - I added another entry to the backwards compatibility code, all
>   it took was a slight modification of the entry before
>   that.

That's fine, but I'd be a bit more careful with the destructive in-place changes and quoted list constants. (Think of what happens if later code performs an in-place change of that nil you added.)
This isn't performance-critical-code, we can afford consing here.